//
//  RequstBodyCommodityListModel.m
//  ALand
//
//  Created by Z on 16/4/11.
//  Copyright © 2016年 Z. All rights reserved.
//

#import "RequstBodyCommodityListModel.h"

@implementation RequstBodyCommodityListModel


- (Defintion *)defintion {
    if (!_defintion) {
        _defintion = [[Defintion alloc] init];
    }
    return _defintion;
}

@end
@implementation Defintion

+ (NSDictionary *)objectClassInArray{
    return @{@"orders" : [Orders class], @"conditions" : [Conditions class]};
}

- (NSArray<Conditions *> *)conditions {
    if (!_conditions) {
        Conditions *condition = [[Conditions alloc] init];
        _conditions = @[condition];
    }
    return _conditions;
}

@end


@implementation Orders

@end


@implementation Conditions

+ (NSDictionary *)objectClassInArray{
    return @{@"parameters" : [Parameters class]};
}

@end


@implementation Parameter

@end


@implementation Parameters

@end


